# CLcd Class Reference

`#include <CLcd.h>`

## Public Member Functions
| CLcd ()
| ~CLcd ()
void | lcdData (unsigned char data)
void | lcdCmd (unsigned char cmd)
bool | updateRequired ()
void | updateDone ()
void | setLcdBColor (unsigned char r, unsigned char g, unsigned char b)
void | setLcdFColor (unsigned char r, unsigned char g, unsigned char b)
int | getLcdColumns (void)
void | setLcdColumns (int num)
int | getLcdLines (void)
void | setLcdLines (int num)
int | getLcdCursorX (void)
void | setLcdCursorX (int num)
int | getLcdCursorY (void)
void | setLcdCursorY (int num)
| CLcd ()
| ~CLcd ()
void | lcdData (unsigned char data)
void | lcdCmd (unsigned char cmd)
bool | updateRequired ()
void | updateDone ()
void | setLcdBColor (unsigned char r, unsigned char g, unsigned char b)
void | setLcdFColor (unsigned char r, unsigned char g, unsigned char b)
int | getLcdColumns (void)
void | setLcdColumns (int num)
int | getLcdLines (void)
void | setLcdLines (int num)
int | getLcdCursorX (void)
void | setLcdCursorX (int num)
int | getLcdCursorY (void)
void | setLcdCursorY (int num)
## Data Fields
unsigned char | lcdScreen [LCD_MAX_LINES][LCD_MAX_COLUMNS]
unsigned char | bColorR
unsigned char | bColorG
unsigned char | bColorB
unsigned char | fColorR
unsigned char | fColorG
unsigned char | fColorB
unsigned char | customCharset [8][8]
int | lcdLines
int | lcdColumns

## Constructor & Destructor Documentation

CLcd::CLcd | ( |  | ) |

Constructor

Here is the call graph for this function:

CLcd::~CLcd | ( | void |  | ) |

Destructor

CLcd::CLcd | ( |  | ) |

Constructor

CLcd::~CLcd | ( |  | ) |

Destructor

## Member Function Documentation

int CLcd::getLcdColumns | ( | void |  | ) | `[inline]`

int CLcd::getLcdColumns | ( | void |  | ) | `[inline]`

int CLcd::getLcdCursorX | ( | void |  | ) | `[inline]`

int CLcd::getLcdCursorX | ( | void |  | ) | `[inline]`

int CLcd::getLcdCursorY | ( | void |  | ) | `[inline]`

int CLcd::getLcdCursorY | ( | void |  | ) | `[inline]`

int CLcd::getLcdLines | ( | void |  | ) | `[inline]`

int CLcd::getLcdLines | ( | void |  | ) | `[inline]`

void CLcd::lcdCmd | ( | unsigned char | cmd | ) |

void CLcd::lcdCmd | ( | unsigned char | cmd | ) |

Here is the call graph for this function:

void CLcd::lcdData | ( | unsigned char | data | ) |

void CLcd::lcdData | ( | unsigned char | data | ) |

void CLcd::setLcdBColor | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b |
| ) |  |  |

void CLcd::setLcdBColor | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b |
| ) |  |  |

void CLcd::setLcdColumns | ( | int | num | ) | `[inline]`

void CLcd::setLcdColumns | ( | int | num | ) | `[inline]`

void CLcd::setLcdCursorX | ( | int | num | ) | `[inline]`

void CLcd::setLcdCursorX | ( | int | num | ) | `[inline]`

void CLcd::setLcdCursorY | ( | int | num | ) | `[inline]`

void CLcd::setLcdCursorY | ( | int | num | ) | `[inline]`

void CLcd::setLcdFColor | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b |
| ) |  |  |

void CLcd::setLcdFColor | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b |
| ) |  |  |

void CLcd::setLcdLines | ( | int | num | ) | `[inline]`

void CLcd::setLcdLines | ( | int | num | ) | `[inline]`

void CLcd::updateDone | ( |  | ) |

void CLcd::updateDone | ( |  | ) |

bool CLcd::updateRequired | ( |  | ) |

bool CLcd::updateRequired | ( |  | ) |

## Field Documentation

unsigned char CLcd::bColorB

unsigned char CLcd::bColorG

unsigned char CLcd::bColorR

unsigned char CLcd::customCharset

unsigned char CLcd::fColorB

unsigned char CLcd::fColorG

unsigned char CLcd::fColorR

int CLcd::lcdColumns

int CLcd::lcdLines

unsigned char CLcd::lcdScreen

The documentation for this class was generated from the following files:

- modules/app_lcd/ipad/CLcd.h
- modules/app_lcd/macos/CLcd.h
- modules/app_lcd/ipad/CLcd.cpp
- modules/app_lcd/macos/CLcd.cpp